# Begin vhost record on the default HTTP port 80
<VirtualHost *:80>
    # This is the name of the vhost.
    ServerName   project.com
    # These are alternative names for this same vhost.
    ServerAlias  www.project.com
    ServerAlias  project.com
    #ServerAdmin webmaster@localhost
    #DocumentRoot /var/www/html

    # ErrorLog ${APACHE_LOG_DIR}/project.error.log
    # CustomLog ${APACHE_LOG_DIR}/project.access.log combined
    ErrorLog /home/docker/app/logs/apache/project/project.error.log
    CustomLog /home/docker/app/logs/apache/project/project.access.log combined

    Alias /static /var/www/project
    <Directory /var/www/project/>
        Require all granted
    </Directory>

    Alias /media /home/docker/app/media
    <Directory /home/docker/app/media/>
        Require all granted
    </Directory>


    <Directory /home/docker/app/app>
        <Files wsgi.py>
        Require all granted
        </Files>
    </Directory>

    WSGIDaemonProcess project python-path=/home/docker/app:/home/docker/app/env/lib/python2.7/site-packages
    WSGIProcessGroup project
    WSGIScriptAlias / /home/docker/app/app/wsgi.py

</VirtualHost>
